petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCShellSetApplyBA

Sets routine to use as preconditioner times operator.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetApplyBA(PC pc,PetscErrorCode (*applyBA)(PC,PCSide,Vec,Vec,Vec))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| applyBA | - the application-provided BA routine

### Calling sequence of apply

       PetscErrorCode applyBA (PC pc,Vec xin,Vec xout)

| pc | - the preconditioner, get the application context with PCShellGetContext()
| xin | - input vector
| xout | - output vector

Notes: the function MUST return an error code of 0 on success and nonzero on failure.

### Keywords

PC, shell, set, apply, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetSetUp(), PCShellSetApplyTranspose(), PCShellSetContext(), PCShellSetApply()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages